[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'LCLPlatformDef' (#lcl)

# GetBuildLCLWidgetType

Gets the value in the BuildLCLWidgetType variable.

## Declaration

Source position: lclplatformdef.pas line 44

`function GetBuildLCLWidgetType: TLCLPlatform;`

## Function result

TLCLPlatform enumeration value for the platform.

## Description

Used by the GetDefaultLCLWidgetType routine (in interfacebase.pp) to get the type and name for the target widgetset.

## See also

BuildLCLWidgetType |  | Gets the TLCLPlatform enumeration value for the current platform.
TLCLPlatform |  | Represents the supported platforms for the LCL.
InterfaceBase.GetDefaultLCLWidgetType |  | Gets the enumeration value representing the LCL platform for the current widgetset.